Subject: Re: [WIP PATCH] diff: add option to ignore whitespaces for move detection only

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Oct 2017 10:25:53 +0900

Brandon Williams <[email-masked]> writes:

> One simple idea would be to convert the single 'flag' into various bit
> fields themselves, that way if you need to add a new flag you would just
> make a new bit field.  I'm unaware of any downsides of doing so (though
> i may be missing something) but doing so would probably cause a bit of
> code churn.

The reason why people want to have their own bit in the flags word
is because they want to use DIFF_OPT_{SET,CLR,TST,TOUCHED} but they
do not want to do the work to extend them beyond a single word.  

I think it is doable by making everything a 1-bit wide bitfield
without affecting existing users.